libgnupg-interface-perl (1.04-6) unstable; urgency=medium

  * Team upload.

  [ Daniel Kahn Gillmor ]
  * note forwarding flexible validity marker upstream

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.2.
  * Add bug closer to 1.04-5 changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Mar 2025 01:52:17 +0100

libgnupg-interface-perl (1.04-5) unstable; urgency=medium

  [ gregor herrmann ]
  * Update debian/upstream/metadata to use Github for bugs.

  [ Daniel Kahn Gillmor ]
  * Add e-mail addresses to patch authorship fields
  * Clarify comment in patch
  * Accept variant reports of validity for expired signatures on 2.2
    (see #1100074 and https://dev.gnupg.org/T7547)
    Closes: #1088155
  * Further cleanup of test suite, including fixes for 2.4

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 13 Mar 2025 19:22:09 -0400

libgnupg-interface-perl (1.04-4) unstable; urgency=medium

  * Team upload.
  * Change runtime dependency from (metapackage) gnupg to gpg.
    Thanks to Guillem Jover for the bug report. (Closes: #1088014)

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Nov 2024 02:30:21 +0100

libgnupg-interface-perl (1.04-3) unstable; urgency=medium

  * Team upload.
  * Add bug closer to previous changelog entry.
  * Adjust 0007-Handle-versions-of-GnuPG-2.2.x-that-report-the-RENC-.patch
    to GnuPG 2.2.44 which has changed RENC usage_flag again.
    (Closes: #1082979)

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Oct 2024 18:33:59 +0200

libgnupg-interface-perl (1.04-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Kahn Gillmor ]
  * Handle RENC flag with newer versions of 2.2.x
    Closes: #1071787

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 May 2024 23:44:36 +0200

libgnupg-interface-perl (1.04-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.04.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 Dec 2023 22:14:01 +0100

libgnupg-interface-perl (1.03-1) unstable; urgency=medium

  * Team upload.

  [ Andrew Ruthven ]
  * New upstream release.
  * Drop patches merged upstream:
    * detect-taint-mode
    * taint-mode-path

  [ gregor herrmann ]
  * Refresh 2 patches (offset).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 16 Sep 2023 12:04:10 +1200

libgnupg-interface-perl (1.02-4) unstable; urgency=medium

  * Team upload.

  [ Andrew Ruthven ]
  * Add patch to fix taint mode with Perl 5.38 (Closes: #1042985)
  * Update to Standards-Version 4.6.2

  [ gregor herrmann ]
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Aug 2023 20:57:34 +0200

libgnupg-interface-perl (1.02-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 21:45:17 +0100

libgnupg-interface-perl (1.02-2) unstable; urgency=medium

  * Team upload.
  * Add patch to add STDIN file handle to _version sub.
    Thanks to Guido Günther for the bug report.
    (Closes: #1016125)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * Drop unneeded version constraints and obsolete packages
    from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Jul 2022 00:13:53 +0200

libgnupg-interface-perl (1.02-1) unstable; urgency=medium

  * Team upload.

  [ Andrew Ruthven ]
  * New upstream release.

  [ gregor herrmann ]
  * Refresh debian/patches/hardcode-path (offset).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Wed, 18 Aug 2021 14:12:35 +1200

libgnupg-interface-perl (1.01-2) unstable; urgency=high

  * Explicitly specify path to gpg to avoid taint mode problems
    (Closes: #981647)

 -- Dominic Hargreaves <dom@earth.li>  Wed, 10 Feb 2021 21:50:05 +0000

libgnupg-interface-perl (1.01-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update patches to reflect merging of some patches upstream.
  * Bump standards version to 4.5.1.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 28 Jan 2021 22:29:06 +1300

libgnupg-interface-perl (1.00-2) unstable; urgency=medium

  * Team upload.

  [ Andrew Ruthven ]
  * Test against both gpg v1 and v2.
  * Add patch to update GPG version if program is changed. (Closes: #964879)
  * Add patch so that trying to run gnupg in t/Interfaces.t doesn't
    cause a warning to be displayed.
  * Add patch to allow GnuPG::Interface to work in Taint mode. (Closes: #964878)
  * Produce a t/taint.t file that can be sent upstream.

  [ gregor herrmann ]
  * Add debian/tests/pkg-perl/smoke-setup to make dummy scripts executable
    during autopkgtests like we do in debian/rules for the build tests.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Jul 2020 14:22:25 +0200

libgnupg-interface-perl (1.00-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Salvatore Bonaccorso ]
  * New upstream version 1.00

  [ Andrew Ruthven ]
  * Remove patches no longer needed due to being included in version 1.00:
    - 0002-Generalize-the-test-suite.patch
    - 0003-subkey-validity-of-an-key-when-we-have-established-n.patch
    - 0004-ensure-that-test-covers-all-signatures.patch
    - 0006-Modern-GnuPG-2.1-reports-more-detail-about-secret-ke.patch
    - 0007-test-suite-match-plaintext-output-across-versions-of.patch
    - 0008-fix-test_default_key_passphrase-when-passphrase-come.patch
    - 0009-clean-up-trailing-whitespace.patch
    - 0010-fix-capitalization-of-GnuPG.patch
    - 0011-ommand_args-should-be-command_args.patch
    - 0012-use-fingerprints-as-inputs-during-tests-to-demonstra.patch
    - 0013-move-key-files-to-generic-names.patch
    - 0014-fix-spelling-s-convience-convenience.patch
    - 0015-added-new-secret-key-with-different-passphrase.patch
    - 0016-Test-use-of-gpg-without-explicit-passphrase-agent-pi.patch
    - 0017-Kill-any-GnuPG-agent-before-and-after-the-test-suite.patch
    - 0018-Use-a-short-temporary-homedir-during-the-test-suite.patch
    - 0019-Make-things-work-with-gpg1-assuming-plain-gpg-is-mod.patch
  * Remove patch as implemented upstream in a different way:
    - 0005-add-gpg_is_modern-to-test-suite.patch
  * Neither GnuPG 2.2.6 or 2.2.8 are in Debian any longer, remove patches:
    - 0001-Fix-test-suite-for-GnuPG-2.2.6-compatibility.patch
    - 0001-Fix-test-suite-for-GnuPG-2.2.8-compatibility.patch
  * Update debian/copyright
  * Add a debian/upstream/metadata file
  * Bump debhelper-compat to 13.
  * Fix dependency on gnupg to be gnupg | gnupg1.
  * Limit build dependency on gnupg2 to >= 2.2.9.

  [ gregor herrmann ]
  * debian/rules: drop manual handling of $HOME.
    debhelper 13 takes care of that automatically.
  * Drop debian/tests/pkg-perl/smoke-setup.
    Remove the same chmod as in debian/rules.
  * Annotate test-only build dependencies with <!nocheck>.
  * Run tests with LC_ALL=C.
    t/list_secret_keys.t fails under non-English locales, even though it sets
    LC_MESSAGES to C.
    Thanks to reprotest.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jul 2020 17:13:05 +0200

libgnupg-interface-perl (0.52-11) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/*: replace ADTTMP with AUTOPKGTEST_TMP.

  [ intrigeri ]
  * Bump debhelper compat level to 12.
    Accordingly, enable the embedded inc::Module::Install in dh_auto_configure.
  * Explicitly list build and runtime dependencies provided by perl.
  * Declare compliance with Debian policy 4.4.0.

 -- intrigeri <intrigeri@debian.org>  Mon, 30 Sep 2019 12:12:13 +0000

libgnupg-interface-perl (0.52-10) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Niko Tyni ]
  * Patch the test suite for GnuPG >= 2.2.8 compatibility.
    (Closes: #900051)
  * Update to debhelper compat level 10
  * Update to Standards-Version 4.1.4
  * Declare that the package does not need (fake)root to build

 -- Niko Tyni <ntyni@debian.org>  Fri, 29 Jun 2018 11:20:20 +0300

libgnupg-interface-perl (0.52-9) unstable; urgency=medium

  * upload to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 28 May 2017 10:48:21 -0400

libgnupg-interface-perl (0.52-8) experimental; urgency=medium

  * enable working with gpg1 and in-band passwords

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 26 May 2017 19:55:07 -0400

libgnupg-interface-perl (0.52-7) experimental; urgency=medium

  * Use temporary, short-path GNUPGHOME for test suites (Closes: #861591)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 26 May 2017 14:37:11 -0400

libgnupg-interface-perl (0.52-6) experimental; urgency=medium

  * more tweaks to test suite and use of passphrase (enables in-band
    passphrases to work again, not just via fake-pinentry.pl)
    See https://rt.cpan.org/Ticket/Display.html?id=102651 and
    https://github.com/bestpractical/gnupg-interface/pull/1
  * force dependency on gnupg package to version 2.1 or later due to use
    of pinentry-mode=loopback.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Nov 2016 13:58:40 -0500

libgnupg-interface-perl (0.52-5) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest smoke tests:
    - Add debian/tests/pkg-perl/smoke-setup.
      Make test/fake-pinentry.pl executable.
    - Add debian/tests/pkg-perl/smoke-env.
      Set HOME, needed for one smoke test.
    Closes: #838141

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Sep 2016 22:38:18 +0200

libgnupg-interface-perl (0.52-4) unstable; urgency=medium

  * move to debhelper 9
  * bumped Standards-Version to 3.9.8 (no changes needed)
  * remove switch to gpg1 (Closes: #835770)
  * fix test suite so that it works with GnuPG 2.1 as well
  * added myself to Uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 14 Sep 2016 14:44:07 -0400

libgnupg-interface-perl (0.52-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Tim Retout from Uploaders. Thanks for your work!

  [ intrigeri ]
  * New patch: use GnuPG 1.x by default. (Closes: #834281)
  * Update build and runtime dependency to pull in gnupg1: this is
    the only well supported version at the moment.

 -- intrigeri <intrigeri@debian.org>  Thu, 25 Aug 2016 08:24:04 +0000

libgnupg-interface-perl (0.52-2) unstable; urgency=medium

  * Update copyright years for debian/* packaging files
  * Create writable build HOME used for testsuite.
    Fixes "FTBFS in sid: test failures". (Closes: #789828)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Jun 2015 06:47:51 +0200

libgnupg-interface-perl (0.52-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Remove Testsuite field (added automatically by dpkg in jessie)

  [ gregor herrmann ]
  * debian/tests/control: add stanza for new runtime-deps-and-recommends
    tests.
  * Rename debian/tests/test-files to debian/tests/pkg-perl/test-files.
  * Drop debian/tests/control, add Testsuite field to debian/control
    instead.

  [ intrigeri ]
  * Imported Upstream version 0.52
  * Declare compliance with Standards-Version 3.9.6 (no change required).
  * Clean debian/control with cme.
  * Bump copyright years for debian/*.

 -- intrigeri <intrigeri@debian.org>  Mon, 27 Apr 2015 11:23:13 +0200

libgnupg-interface-perl (0.50-3) unstable; urgency=medium

  * Team upload
  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ David Bremner ]
  * Add autopkgtest support

  [ Salvatore Bonaccorso ]
  * autopkgtest: Make script executable
  * autopkgtest: Add shebang for tests/regression test
  * autopkgtest: Also set explicitly set -e for the regression test script

  [ gregor herrmann ]
  * autopktest: add Depends to control file.
  * autopkgtest: move tests to temporary directory and run them from there
    to avoid (b)lib/ being used.

 -- David Bremner <bremner@debian.org>  Mon, 01 Sep 2014 11:43:16 -0700

libgnupg-interface-perl (0.50-2) unstable; urgency=medium

  * Drop Make-get_secret_keys-and-get_public_keys-methods-wor.patch:
    neither upstream nor I can reproduce the bug it fixed anymore
    (https://rt.cpan.org/Ticket/Display.html?id=62177).

 -- intrigeri <intrigeri@debian.org>  Mon, 31 Mar 2014 13:08:59 +0200

libgnupg-interface-perl (0.50-1) unstable; urgency=medium

  * Imported Upstream version 0.50
  * Drop {build,runtime}-dependency on Moose, again.
  * Do not install NEWS and THANKS: upstream does not ship it anymore.

 -- intrigeri <intrigeri@debian.org>  Fri, 14 Mar 2014 21:01:21 +0100

libgnupg-interface-perl (0.49-1) unstable; urgency=medium

  * Imported Upstream version 0.49
  * Reintroduce {build,runtime}-dependency on Moose.

 -- intrigeri <intrigeri@debian.org>  Fri, 14 Mar 2014 11:02:58 +0100

libgnupg-interface-perl (0.48-1) unstable; urgency=medium

  * Imported Upstream version 0.48
  * Refresh Make-get_secret_keys-and-get_public_keys-methods-wor.patch patch
  * Update copyright years for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 10 Mar 2014 21:40:35 +0100

libgnupg-interface-perl (0.47-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ intrigeri ]
  * Imported Upstream version 0.47
  * libgnupg-interface-perl (0.47-1~1.gbpb39567)
  * Update {build,runtime}-dependencies according to new upstream release,
    that migrated from Any::Moose to Moo.
  * Declare compliance with Standards-Version 3.9.5.

 -- intrigeri <intrigeri@debian.org>  Mon, 10 Mar 2014 17:15:55 +0100

libgnupg-interface-perl (0.46-3) unstable; urgency=low

  * remove Peter Palfrader from Uploaders on his request

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 May 2013 16:32:12 +0300

libgnupg-interface-perl (0.46-2) unstable; urgency=low

  * Upload to unstable
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 May 2013 16:18:58 +0200

libgnupg-interface-perl (0.46-1) experimental; urgency=low

  [ intrigeri ]
  * Email change: intrigeri -> intrigeri@debian.org

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.46
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update Upstream-Contact to Alex Vandiver <alexmv@cpan.org> and update
    comment on license.
    Update copyright years for bundled copy of Module::Install.
    Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.4
  * Refresh Make-get_secret_keys-and-get_public_keys-methods-wor.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Oct 2012 21:41:43 +0200

libgnupg-interface-perl (0.45-1) unstable; urgency=low

  * Imported Upstream version 0.45
  * Update copyright information.
    Update copyright years for files in inc/Module/*

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 26 Oct 2011 20:48:42 +0200

libgnupg-interface-perl (0.44-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ intrigeri ]
  * Add myself to uploaders.
  * debian/patches:
    - Add patch Make-get_secret_keys-and-get_public_keys-methods-wor.patch
      to make get_secret_keys and get_public_keys methods work silently with
      no arguments (Closes: #600290).

 -- intrigeri <intrigeri+debian@boum.org>  Tue, 18 Oct 2011 01:10:21 +0200

libgnupg-interface-perl (0.44-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 May 2011 17:36:32 +0200

libgnupg-interface-perl (0.43-1) unstable; urgency=low

  * New upstream release (Closes: #617398)
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to
    debhelper (>= 8).

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Mar 2011 19:08:13 +0100

libgnupg-interface-perl (0.42.002-2) unstable; urgency=low

  [ Tim Retout ]
  * debian/control: Update my email address.

  [ Salvatore Bonaccorso ]
  * Upload to unstable.
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/copyright:
    - Update copyright years for debian/* packaging.
    - Explicitly point to GPL-1 license text in common-licenses.
    - Refer to Debian systems in general instead of only Debian GNU/Linux
      systems.
  * debian/control: Make versioned (Build-)Depends(-Indep) on
    libany-moose-perl unversioned.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Feb 2011 14:21:51 +0100

libgnupg-interface-perl (0.42.002-1) experimental; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release (Closes: #584836, #579672, #579863, #579873, #579897,
    #579898, #579666, #579900).
    - Uploading to experimental.
  * debian/patches: Drop patches applied upstream:
    - fix-gnupg-options-pod-errors.patch
    - fix-gnupg-options-copy.patch
    - fix-gnupg_key-docs.patch
    - fix_publickey_doc.patch
    - fix-list_public_keys-pod.patch

  [ gregor herrmann ]
  * Add copyright info for two new files.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 07 Jun 2010 12:33:26 +0200

libgnupg-interface-perl (0.42-3) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Convert to '3.0 (quilt)' package source format.
  * debian/patches:
    - Add patch fix-gnupg_key-docs.patch to fix missing newline in GnuPG::Key on
      expiration_date_string item. (Closes: #579613).
    - Add patch fix_publickey_doc.patch to fix missing 'not' in documentation of
      GnuPG::PublicKey. (Closes: #579589).
    - Add patch fix-list_public_keys-pod.patch to fix example in
      GnuPG::Interface documentation for the list_public_keys functionality.
      (Closes: #579587).
    - Thanks to Daniel Kahn Gillmor for reporting this issues.
  * Bump Standards-Version to 3.8.4 (no changes).
  * Refresh debian/copyright to revision 135 of machine readable format-
    specification for copyright file in DEP5.

  [ gregor herrmann ]
  * debian/copyright: add information about inc/Module/*.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 29 Apr 2010 12:17:10 +0200

libgnupg-interface-perl (0.42-2) unstable; urgency=low

  * debian/patches/fix-gnupg-options-copy.patch: New patch to fix copy
    method of GnuPG::Options. Fixes FTBFS. (Closes: #549743)
  * debian/control: Add self to uploaders.

 -- Tim Retout <tim@retout.co.uk>  Fri, 06 Nov 2009 00:28:38 +0000

libgnupg-interface-perl (0.42-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * New upstream release
    + Adds support for gpg2.
  * debian/control:
    + Add myself to Uploaders
    + Drop libclass-methodmaker-perl Build-Depends-Indep and Depends.
    + Add  dependencies on gnupg | gnupg2
    + Add versioned Build-Depends-Indep and Depends on libany-moose-perl
      (>= 0.04).
  * Update debian/copyright to the current proposed DEP5 format specification.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Add fix-gnupg-options-pod-errors.patch to fix some POD errors in the
    GnuPG::Options module. Add Build-Depends on quilt (>= 0.46-7) and update
    Build-Depends on debhelper (>= 7.0.8).
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 01 Oct 2009 21:36:46 +0200

libgnupg-interface-perl (0.36-1) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2008-
    June/014128.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Peter Palfrader
    <weasel@debian.org>); Peter Palfrader <weasel@debian.org> moved to
    Uploaders.
  * Add debian/watch.
  * New upstream release
  * debian/copyright
    + module uses "same as Perl" license
    + update upstream author information
    + use dist-based upstream sources location
  * minimize debian/rules using debhelper 7; adjust debhelper build-dependency
    and compatibility level accordingly
  * control:
    + add perl and libclass-methodmaker-perl to Build-Depends-Indep
    + add ${perl:Depends} and ${misc:Depends} to Depends
    + Bump Standards-Version to 3.8.0
  * add myself to Uploaders
  * add THANKS to debian/docs

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Jun 2008 09:28:58 +0300

libgnupg-interface-perl (0.33-6) unstable; urgency=low

  * Change the Build-Depends-Indep on debhelper to a Build-Depends (no -Indep).
  * Increase Standards-Version from 3.6.1 to 3.7.2 (no additional changes).
  * Update my email address in debian/copyright.
  * Remove lots of commented-out cruft from debian/rules.
  * Change to debhelper compatibility level 4 (from 1):
    - Change DH_COMPAT to 4 in debian/rules,
    - Change build dependency to a versioned one,
    - Install to debian/code2html/ instead of debian/tmp.
  * Instead of defining INSTALLBIN, INSTALLSCRIPT, etc just say
    INSTALLDIRS=vendor in debian/rules, and set PREFIX for the install.
  * Also use make install and not make pure_install.
  * Remove code to remove .packlist files from the install target.
  * Remove empty usr/lib/perl5 and usr/lib after make install.

 -- Peter Palfrader <weasel@debian.org>  Sun, 18 Jun 2006 01:25:31 +0200

libgnupg-interface-perl (0.33-5) unstable; urgency=low

  * Change section to perl to fix override disparity.

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Apr 2004 16:44:48 +0200

libgnupg-interface-perl (0.33-4) unstable; urgency=low

  * Install non binary perl into usr/share rather than usr/lib.
  * Slight changes to debian/copyright: replace "author(s)" with
    "author", refer to GPL-2 rather than GPL.
  * Update standards version to 3.6.1.

 -- Peter Palfrader <weasel@debian.org>  Sun, 25 Apr 2004 15:04:13 +0200

libgnupg-interface-perl (0.33-3) unstable; urgency=low

  * New Standards-Version: 3.5.7
    - Change Build-Depends to Build-Depends-Indep
    - Have no /usr/doc link anymore (actually building against the new
      debhelper will fix this - I'll not depend on it tho to make
      building it on older releases easier)

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Nov 2002 12:59:27 +0100

libgnupg-interface-perl (0.33-2) unstable; urgency=low

  * Change Section to interpreters (fixes override disparity).

 -- Peter Palfrader <weasel@debian.org>  Sun, 16 Jun 2002 09:31:25 +0200

libgnupg-interface-perl (0.33-1) unstable; urgency=low

  * New upstream version:
    - closes: #149964: GnuPG::Interface 0.32 is available
    - closes: #149966: GnuPG::Interface, command_args and import_keys (et al)
    Thank's a lot to upstream author Frank J. Tobin for providing a fix for
    #149966 that fast.

 -- Peter Palfrader <weasel@debian.org>  Sun, 16 Jun 2002 08:05:46 +0200

libgnupg-interface-perl (0.31-3) unstable; urgency=low

  * Moved from non-US to main (Section: libs; closes: #140524).

 -- Peter Palfrader <weasel@debian.org>  Sun, 31 Mar 2002 20:54:51 +0200

libgnupg-interface-perl (0.31-2) unstable; urgency=low

  * Removed emacs stuff from changelog.
  * Fixed minor typos in docmumentation (closes: #96148).
  * Remove empty dirs in usr/lib/perl.

 -- Peter Palfrader <weasel@debian.org>  Sat, 17 Nov 2001 17:34:18 +0100

libgnupg-interface-perl (0.31-1) unstable; urgency=low

  * New upstream release.
  * Fixed a typo in the long description.
  * Removed dependency and build time dependency on perl5. The perl-base
    package should suffice.
  * Changed maintainer email address.
  * Upgraded Standards-Version to 3.5.4.
  * Removed build time dependency on libclass-methodmaker-perl. It's not
    needed to build the package.
  * Removed .packlist file from the package.

 -- Peter Palfrader <weasel@debian.org>  Sun,  6 May 2001 18:07:05 +0200

libgnupg-interface-perl (0.11-3) unstable; urgency=low

  * Changed Architecture to all (Closes: #71508)

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Wed, 13 Sep 2000 21:36:37 +0200

libgnupg-interface-perl (0.11-2) unstable; urgency=low

  * Changed section from libs to non-US/main.
  * Removed README from docs. It only has install instructions.

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Sat,  9 Sep 2000 17:02:07 +0200

libgnupg-interface-perl (0.11-1) unstable; urgency=low

  * Initial Release (closes: #69479).

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Sun, 20 Aug 2000 17:18:33 +0200
